/**
 * Theme Name: Dual Pro Child
 * Description: Dual Pro Child Theme
 * Author: DUAL
 * Template: blocksy
 * Text Domain: blocksy
 */

/* Typography
 ------------------------------------------- */

.entry-content h1 strong,
.entry-content h1 strong *,
.entry-content h2 strong,
.entry-content h2 strong *,
.entry-content h3 strong,
.entry-content h3 strong *,
footer .ct-widget h2 strong,
footer .ct-widget h2 strong * {
     font-family: ct_font_lequire__outline, Sans-serif;
     font-weight: 400;
}

@media (min-width: 1600px) {
     .entry-content h2 {
          font-size: 86px !important;
     }
}

[data-link='type-5'] .entry-content .dark a:not(.wp-block-button__link):not(.ugb-button--ghost-to-normal-effect):not(.ugb-button--design-ghost):hover {
     color: inherit !important;
}

.dark * {
     color: var(--paletteColor3);
}

/* Mobile Menu - Offcanvas Panel
----------------------------------------------- */

.ct-panel-content {
     padding-top: 0;
}

.mobile-menu .ct-toggle-dropdown-mobile {
     --toggle-button-size: 40px !important;
}

[class*="ct-toggle-close"][data-type="type-3"] {
     --toggle-button-size: 40px;
     --toggle-button-radius: 50%;
}

/* Homepage Hero
------------------------------------------- */

.homepage-hero {
     background-position-x: 35vw !important;
     background-position-y: -15vh !important;
}

@media (min-width: 1000px) {
     .hero-section[data-type="type-1"],
     .entry-content h1:first-child {
          max-width: 85vw !important;
     }
}

.no-feature .hero-section > [class*='ct-container'] {
     --min-height: 35vh;
}

@media (max-width: 999.98px) {
     .no-feature .hero-section > [class*='ct-container'] {
          --min-height: 25vh;
     }
}

/* Footer
------------------------------------------- */

[data-footer*="type-1"] footer.ct-footer [data-row="middle"] > div {
     grid-template-columns: 1fr;
}

.error404 .ct-footer [data-row*="middle"] {
     display: none;
}
